/*
  options_form.js -- Functions for HIN Options page
  Copyright 2013, 2014 by John K. Hinsdale.  See LICENSE.html for terms of use.
*/

// Install event listeners

// Load options from storage
document.addEventListener('DOMContentLoaded', load_options);

// Click handler to verify
document.getElementById('verify').addEventListener('click', verify_options);

// Click handler to save
document.getElementById('save').addEventListener('click', save_options);

// Click handler to revert to saved changes
document.getElementById('revert').addEventListener('click', revert_options);

// Click handler to reset to defaults
document.getElementById('resetb').addEventListener('click', reset_options);

// Click handler to cancel
document.getElementById('cancel').addEventListener('click', function() { window.close() });

// Click handler to export
document.getElementById('export').addEventListener('click', export_options);

// Click handler to import (note event is "Change"
document.getElementById('import').addEventListener('change', import_options);

// Toggle logo icon based on enabled status
document.getElementById('enabled').addEventListener('click', update_icon);

// Warn when disabling toolbar icon
document.getElementById('enable_icon').addEventListener('click', warn_on_disable_icon);

// $Id: options_form.js,v 1.7 2014/12/26 17:52:07 hin Exp $
